Autor Wątek: Linux, linux  (Przeczytany 3642 razy)

0 użytkowników i 1 Gość przegląda ten wątek.

tomtom

  • *
  • Wiadomości: 4
    • Zobacz profil
Linux, linux
« dnia: Grudzień 01, 2010, 21:51:44 »
Heja, przy odpalaniu pod linuksem:

Object::disconnect: Unexpected null parameter
QMetaObject::connectSlotsByName: No matching signal for on_treeView_currentRowChanged(QModelIndex)

I niby dziala, ale po kliknięciu gdziekolwiek:

Segmentation fault

I wywala się wszystko w kosmos. Zainstalowało się bez większych problemów.

Wersja windowsowa też nie chce pod wine działać.

Można liczyć na patcha bądź na poradę co zrobić, żeby działało?

Complay

  • Administrator
  • *****
  • Wiadomości: 387
    • Zobacz profil
Odp: Linux, linux
« Odpowiedź #1 dnia: Grudzień 02, 2010, 10:48:07 »
Jaki system dokładnie? 64-bitowy?

tomtom

  • *
  • Wiadomości: 4
    • Zobacz profil
Odp: Linux, linux
« Odpowiedź #2 dnia: Grudzień 03, 2010, 01:23:54 »
Kubuntu, dość stare, na zwyczajnego pc-ta bez żadnych udziwnień, a konkretnie to:

tomek@HAL:~$ cat /proc/version
Linux version 2.6.28-18-generic (buildd@rothera) (gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #60-Ubuntu SMP Fri Mar 12 04:40:52 UTC 2010

Już myślałem, że w końcu coś co działa na normalnym systemie, a tu zonk.

Complay

  • Administrator
  • *****
  • Wiadomości: 387
    • Zobacz profil
Odp: Linux, linux
« Odpowiedź #3 dnia: Grudzień 03, 2010, 11:11:39 »
Sprawdź jak działa na systemowych bibliotekach Qt. Jeśli nie są zainstalowane, należy to zrobić. Wymagane moduły to: QtCore, QtGui, QtNetwork, QtSql, QtWebKit, QtXmlPatterns. Minimalna wersja bibliotek to 4.6, więc przy bardzo starym systemie mogą nie być dostępne.

Po zainstalowaniu, należy usunąć pliki libQt* oraz katalog plugins znajdujące się w katalogu programu.

tomtom

  • *
  • Wiadomości: 4
    • Zobacz profil
Odp: Linux, linux
« Odpowiedź #4 dnia: Grudzień 03, 2010, 19:11:51 »
No niestety

tomek@HAL:~/seolight_demo$ ./seolight
./seolight: symbol lookup error: ./seolight: undefined symbol: _ZN8QMapData10createDataEi
tomek@HAL:~/seolight_demo$

wersje bibliotek to 4.5, więc może w tym tkwi problem.

Complay

  • Administrator
  • *****
  • Wiadomości: 387
    • Zobacz profil
Odp: Linux, linux
« Odpowiedź #5 dnia: Grudzień 03, 2010, 20:02:23 »
W takim razie możliwe, że system jest za stary nawet dla bibliotek dostarczanych przez nas.
Jaka dokładnie wersja Kubuntu? Spróbujemy zainstalować i popracować nad problemem.

tomtom

  • *
  • Wiadomości: 4
    • Zobacz profil
Odp: Linux, linux
« Odpowiedź #6 dnia: Grudzień 19, 2010, 21:32:17 »
sorki że nie odpisywałem :D

nawet nie wiem, które to kubuntu, 9.2x chyba jakieś, sprzed roku czy 2. W sumie problem niedługo przestanie mnie dotyczyć, bo wymieniam bebechy w kompie i przy okazji wrzucę najnowszego linuksa, więc nie wiem, czy jest sens to poprawiać - niewiele osób ma zabytkowe systemy.

LeanderPL

  • **
  • Wiadomości: 64
    • Zobacz profil
Odp: Linux, linux
« Odpowiedź #7 dnia: Marzec 06, 2011, 12:17:29 »
na Ubuntu 10.04 LTS działa bez problemu, polecam ;)